/**
 * @copyright 2015 Indie Semiconductor.
 *
 * This file is proprietary to Indie Semiconductor.
 * All rights reserved. Reproduction or distribution, in whole
 * or in part, is forbidden except by express written permission
 * of Indie Semiconductor.
 *
 * @file mpu9250.h
 */

#ifndef __TMP007_H__
#define __TMP007_H__

#define  TMP007_WHO_AM_I		0x1F
#define  TMP007_SENSOR_VOLTAGE		0x00
#define  TMP007_LOCAL_TEMPERATURE       0x01
#define  TMP007_CONFIGURATION		0x02
#define  TMP007_OBJECT_TEMPERATURE      0x03
#define  TMP007_STATUS    		0x04
#define  TMP007_STATUD_MASK_AND_ENABLE  0x05
#define  TMP007_OBJECT_HIGH_LIMIT_TEMP  0x06
#define  TMP007_OBJECT_LOW_LIMIT_TEMP   0x07
#define  TMP007_LOCAL_HIGH_LIMIT_TEMP   0x08
#define  TMP007_LOCAL_LOW_LIMIT_TEMP    0x09
#define  TMP007_S0_COEFFICIENT 		0x0A
#define  TMP007_A0_COEFFICIENT 		0x0B
#define  TMP007_A1_COEFFICIENT 		0x0C
#define  TMP007_B0_COEFFICIENT 		0x0D
#define  TMP007_B1_COEFFICIENT 		0x0E
#define  TMP007_B2_COEFFICIENT 		0x0F
#define  TMP007_C_COEFFICIENT 		0x10
#define  TMP007_TC0_COEFFICIENT 	0x11
#define  TMP007_TC1_COEFFICIENT 	0x12
#define  TMP007_MEMORY_ACCESS 		0x2A

#define TMP007_ADDRESS  0x44            /* Address of TMP007 accelerometer */

#endif /* __TMP007_H__ */