/**
 * @copyright 2015 Indie Semiconductor.
 *
 * This file is proprietary to Indie Semiconductor.
 * All rights reserved. Reproduction or distribution, in whole
 * or in part, is forbidden except by express written permission
 * of Indie Semiconductor.
 *
 * @file irq_sfrs.h
 */

#ifndef __IRQ_SFRS_H__
#define __IRQ_SFRS_H__

/** 
 * @brief The enumeration of Interrupt Number Assignments
 */
typedef enum IRQn
{
/******** Cortex-M0 Processor Exceptions Numbers *************************/
  HardFault_IRQn       = -13,    /*!<  Hard Fault Interrupt */
  SVCall_IRQn          = -5,     /*!< SV Call Interrupt */
  PendSV_IRQn          = -2,     /*!< Pend SV Interrupt */
  SysTick_IRQn         = -1,     /*!< System Tick Interrupt */

/********  Cortex-M0 specific Interrupt Numbers **************************/
  BrownOut_IRQn     	= 0,      /*!< Brown out interrupt */
  ClkMon_IRQn       	= 1,      /*!< Clock monitor interrupt */
  PIN_IRQn          	= 2,      /*!< Pin Change interrupt */
  RTC_FE_IRQn         	= 3,      /*!< RTC Falling Edge interrupt */
  RTC_RE_IRQn         	= 4,      /*!< RTC Rising Edge interrupt */
  I2C_Collision_IRQn	= 5,      /*!< I2C Collision Interrupt */
  I2C_IRQn              = 6,      /*!< I2C interrupt */
  UART_IRQn             = 7,      /*!< UART interrupt */
  SPI_IRQn              = 8,      /*!< SPI interrupt */
                                  /*!< Interrupt vectors from 9-15 are Reserved */
  TIMER0_IRQn           = 16,     /*!< Timer 0 Interrupt */
  TIMER1_IRQn           = 17,     /*!< Timer 1 Interrupt */
  TIMER2_IRQn           = 18,     /*!< Timer 2 Interrupt */
  WATCHDOG_IRQn         = 19      /*!< Watchdog timer Interrupt */
} IRQn_Type;

#endif /* __IRQ_SFRS_H__ */