/**
 * @copyright 2015 Indie Semiconductor.
 *
 * This file is proprietary to Indie Semiconductor.
 * All rights reserved. Reproduction or distribution, in whole
 * or in part, is forbidden except by express written permission
 * of Indie Semiconductor.
 *
 * @file hwcfg.c
 */

#include "hdf.h"

uint8_t HWCFG_GetRCClockCalibValue(void)
{
    return HWCFG_SFRS->CLOCK_CALIB_RC;
}

uint8_t HWCFG_Get32KClockCalibValue(void)
{
    return HWCFG_SFRS->CLOCK_CALIB_32K;
}

uint16_t HWCFG_GetVBG(void)
{
    uint32_t volt;
    
    if (HWCFG_SFRS->BANDGAP_VOLT == 0xFF)
        return E_HWCFG_ADC_VBG;

    volt =  (E_HWCFG_ADC_RANGE_FULL * 1000) / HWCFG_SFRS->BANDGAP_VOLT;
    return (uint16_t) volt;
}
