/**
 * @copyright 2015 Indie Semiconductor.
 *
 * This file is proprietary to Indie Semiconductor.
 * All rights reserved. Reproduction or distribution, in whole
 * or in part, is forbidden except by express written permission
 * of Indie Semiconductor.
 *
 * @file led_sfrs.c
 */

#include <stdint.h>
#include "irq_sfrs.h"
#include "clough_core.h"
#include "core_cm0.h"
#include "led_sfrs.h"

static uint8_t status;

void f_LED_On(uint8_t pos)
{
    uint8_t data, readen;
    
    readen = LED_SFRS->READEN;
    LED_SFRS->READEN = 0xFF;
    status = (status | (1 << pos)) & LED_SFRS->MODE;
    data = LED_SFRS->CTRL;
    data &= ~LED_SFRS->MODE;
    LED_SFRS->CTRL = data | status;
    LED_SFRS->READEN = readen;
}

void f_LED_Off(uint8_t pos)
{
    uint8_t data, readen;
    
    readen = LED_SFRS->READEN;
    LED_SFRS->READEN = 0xFF;
    status = (status & ~(1 << pos)) & LED_SFRS->MODE;
    data = LED_SFRS->CTRL;
    data &= ~LED_SFRS->MODE;
    LED_SFRS->CTRL = data | status;
    LED_SFRS->READEN = readen;
}

void f_LED_SetLightLevel(uint8_t pos, uint8_t level)
{
    if (pos < 4)
        LED_SFRS->TRIM.NIBBLEL = (level * 15) / 100;
    else
        LED_SFRS->TRIM.NIBBLEH = (level * 15) / 100;
}
